# QWhatsThis Class Reference

### [com.trolltech.qt.gui package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QWhatsThis prototype object
- QAction createAction(QObject parent)
- void enterWhatsThisMode()
- void hideText()
- bool inWhatsThisMode()
- void leaveWhatsThisMode()
- void showText(QPoint pos, String text, QWidget w)

### Instance Properties

QWhatsThis objects have no special properties beyond those inherited from the QWhatsThis prototype object.